
QGIS Application - Bug report #1205

No valid projection. Unable to set map units.

2008-08-05 03:11 PM - jcs -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: RedHat Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11265

Description

A vanilla build of 0.11.0 produces numerous prints of "No valid projection. Unable to set map units."

This is unavoidable and can be seen by following the execution of [[QgsSpatialRefSys]]::loadFromDb().

At the top of this function mIsValidFlag is set to false.  This variable is only set to true after a call to setMapUnits().

But the first thing setMapUnits() does is check mIsValidFlag which in this case will always be false and the print will be executed.

Moving the mIsValidFlag = true before setMapUnits() fixes the "No valid projection. Unable to set map units." prints but this may not be

what the author had in mind.

Associated revisions

Revision 3979d24e - 2008-08-19 12:31 AM - Jürgen Fischer

fix #1205 and #1221

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9071 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision ece87e28 - 2008-08-19 12:31 AM - Jürgen Fischer

fix #1205 and #1221

git-svn-id: http://svn.osgeo.org/qgis/trunk@9071 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-18 03:32 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

fixed in

#2 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
